#!/usr/bin/python3
# -*- coding: utf-8 -*-
#
# Copyright 2025 GNOME Foundation, Inc.
#
# SPDX-License-Identifier: GPL-2.0-or-later
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA  02110-1301  USA

"""Test systemd-analyze output for malcontent-timer-extension-agent.service"""

import unittest

import systemdanalyze
import taptestrunner


class TestSystemdAnalyze(systemdanalyze.TestCase):
    @property
    def serviceFilename(self):
        return "malcontent-timer-extension-agent.service"

    @property
    def expectedThreshold(self):
        return 0.2

    @property
    def expectedMessage(self):
        return "SAFE 😀"


if __name__ == "__main__":
    unittest.main(testRunner=taptestrunner.TAPTestRunner())
